-- Advanced Tools for Mission Editor

local moduleName = "Your mission name"
local thisModule

-- [FRANCAIS] PART 1 - Définition des variables locales au module et des callbacks
-- [ENGLISH]  PART 1 - Local variable and callbacks definitions

-- [FRANCAIS] Le code est ici.
-- [ENGLISH]  Your code here


-- [FRANCAIS] PART 2 - Définition des fonctions nécessaires aux handlers du module. Un handlers
-- est lié au module. Il définit le point d'entrée entre DCS et ATME.
-- [ENGLISH]  PART 2 - Module handler definitions. An handler is a function linked to the module.
-- It defines the DCS/ATME entry point.

-- [FRANCAIS] Le code est ici.
-- [ENGLISH]  Your code here

-- [FRANCAIS] MAIN - Création du module et assignement des handlers
-- [ENGLISH]  MAIN - Module creation and handlers assignments
do
    local newHandlers = {
        onCreateUnitHandler = nil,
        onDeleteUnitHandler = nil,
        onBaseCapturedUnitHandler = nil,
        
        onCreateGroupHandler = nil,
        onDeleteGroupHandler = nil,
        onSpawnGroupHandler = nil,
        
        onCreateStaticHandler = nil,
        onDeleteStaticHandler = nil,
        onSpawnStaticHandler = nil,
        
        onCreateCargoHandler = nil,
        onDeleteCargoHandler = nil,
        onSpawnCargoHandler = nil,
    
        onTimerHandler = nil,
        onStartMissionHandler = nil,
        onEndMissionHandler = nil,
    }
        
    thisModule = ATME.C_Module(moduleName, newHandlers, true)
end
